<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorPrimary"
    android:keepScreenOn="true">


    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        android:visibility="visible">

        <SurfaceView
            android:id="@+id/cameraSurfaceView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <com.seatel.mobilehall.util.view.ViewFinderOverlay
            android:id="@+id/overlay"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layerType="software" />

    </FrameLayout>

    <LinearLayout
        android:layout_width="300dp"
        android:layout_height="280dp"
        android:layout_centerInParent="true"
        android:visibility="gone">

        <View
            android:layout_width="300dp"
            android:layout_height="2dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="15dp"
            android:background="@color/colorPrimary" />

    </LinearLayout>


    <com.seatel.mobilehall.util.customview.CustomTextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="150dp"
        android:text="Align frame with QR code"
        android:textColor="@color/white"
        android:textSize="@dimen/large_text_size"
        android:textStyle="bold" />


    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</RelativeLayout>